# TTreePathIterator Class Reference
[Data Structures]

Inheritance diagram for TTreePathIterator:

List of all members.

## Public Member Functions
| TTreePathIterator (I3DShTreeElement *treeBase)
| ~TTreePathIterator ()
I3DShTreeElement *MCCOMAPI | First ()
boolean MCCOMAPI | More ()
I3DShTreeElement *MCCOMAPI | Next (boolean skipFirstMaster=false)
TTreeIdPath MCCOMAPI | GetTreeIDPath () const
int16 MCCOMAPI | GetLevel () const
void MCCOMAPI | GetTransform3D (TTransform3D &outTransform) const
void MCCOMAPI | SetSkipRoots (boolean skipRoots)
## Protected Attributes
I3DShTreeElement * | fTreeBase
TMCPtrArray< I3DShTreeElement > | fRoots
TMCPtrArray< I3DShTreeElement > | fBack
TMCArray< TTransform3D > | fTransforms
boolean(* | fFilter )(I3DShTreeElement *aTree)
boolean | fSkipRoots
TTreeIdPath | fPath

## Detailed Description

Iterates over a whole scene going inside the MasterGroups

## Constructor & Destructor Documentation

TTreePathIterator::TTreePathIterator | ( | I3DShTreeElement * | treeBase | ) |

TTreePathIterator::~TTreePathIterator | ( |  | ) |

## Member Function Documentation

I3DShTreeElement* MCCOMAPI TTreePathIterator::First | ( |  | ) |

int16 MCCOMAPI TTreePathIterator::GetLevel | ( |  | ) | const`[inline]`

void MCCOMAPI TTreePathIterator::GetTransform3D | ( | TTransform3D & | outTransform | ) | const

TTreeIdPath MCCOMAPI TTreePathIterator::GetTreeIDPath | ( |  | ) | const

boolean MCCOMAPI TTreePathIterator::More | ( |  | ) | `[inline]`

I3DShTreeElement* MCCOMAPI TTreePathIterator::Next | ( | boolean | skipFirstMaster = `false` | ) |

void MCCOMAPI TTreePathIterator::SetSkipRoots | ( | boolean | skipRoots | ) | `[inline]`

## Member Data Documentation

TMCPtrArray<I3DShTreeElement> TTreePathIterator::fBack`[protected]`

boolean(* TTreePathIterator::fFilter)(I3DShTreeElement *aTree)`[protected]`

TTreeIdPath TTreePathIterator::fPath`[protected]`

TMCPtrArray<I3DShTreeElement> TTreePathIterator::fRoots`[protected]`

boolean TTreePathIterator::fSkipRoots`[protected]`

TMCArray<TTransform3D> TTreePathIterator::fTransforms`[protected]`

I3DShTreeElement* TTreePathIterator::fTreeBase`[protected]`

The documentation for this class was generated from the following file:

- PublicUtilities.h